### Function

# Gio DBusError register_error_domain

since: 2.26

#### Declaration [src]

    void
    g_dbus_error_register_error_domain (
      const gchar* error_domain_quark_name,
      volatile gsize* quark_volatile,
      const GDBusErrorEntry* entries,
      guint num_entries
    )

#### Description [src]

Helper function for associating a `GError` error domain with D-Bus error names.

While `quark_volatile` has a `volatile` qualifier, this is a historical artifact and the argument passed to it should not be `volatile`.

Available since: 2.26

#### Parameters

`error_domain_quark_name`

  Type: `const gchar*`

  The error domain name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`quark_volatile`

  Type: `volatile gsize*`

  Return location for the `GQuark` representing the error domain.

  The data is owned by the caller of the function.

`entries`

  Type: An array of `GDBusErrorEntry`

  Items to register.

  The length of the array is specified in the `num_entries` argument.
  The data is owned by the caller of the function.

`num_entries`

  Type: `guint`

  Number of items to register.